using Hotline.Share.Enums.KnowledgeBase;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase;

[Description("知识热词")]
public class KnowledgeHotWord : CreationEntity
{
    /// <summary>
    /// 关键字
    /// </summary>
    [SugarColumn(ColumnDescription = "关键字")]
    public string KeyWord { get; set; }

    /// <summary>
    /// 排序
    /// </summary>
    [SugarColumn(ColumnDescription = "排序")]
    public int Sort { get; set; }

    /// <summary>
    /// 搜索次数
    /// </summary>
    [SugarColumn(ColumnDescription = "搜索次数")]
    public int SearchCount { get; set; }

    
    /// <summary>
    /// 类型
    /// </summary>
    [SugarColumn(ColumnDescription = "类型")]
    public EKnowledgeHotWordType? Type { get; set; }

    /// <summary>
    /// 是否启用
    /// </summary>
    [SugarColumn(ColumnDescription = "是否启用")]
    public bool IsEnable { get; set; }
}

